<template>
  <v-list-item>
    <v-list-item-avatar>
      <v-img :src="images[balance.symbol]"></v-img>
    </v-list-item-avatar>
    <v-list-item-content>
      <v-list-item-title class="balance-text">
        {{ balance.formattedBalance }}
      </v-list-item-title>
      <v-list-item-subtitle class="balance-text">
        {{ balance.symbol }}
      </v-list-item-subtitle>
    </v-list-item-content>
  </v-list-item>
</template>

<script lang="ts">
import Component from 'vue-class-component';
import Vue from 'vue';
import { FormattedBalance } from '@/store/exchange/balance';
import { Prop } from 'vue-property-decorator';
import { SYMBOLS_ICON } from '@/assets/symbol';

@Component({})
export default class AssetBalance extends Vue {
  @Prop({
    required: true,
    type: Object
  })
  private readonly balance!: FormattedBalance;

  private get images(): typeof SYMBOLS_ICON {
    return SYMBOLS_ICON;
  }
}
</script>

<style scoped>
.balance-text {
  font-size: 16px;
  line-height: 20px;
  font-weight: 400;
}
</style>
